:root {
    --pink: #A70E45;
    --red: #DD0050;
    --dark-gray: #707070;
    --gray: #9B9B9B;
}


body {
    font-family: 'Montserrat', sans-serif;
    overflow-x: hidden;
    font-size: 16px !important;
}

.container {
    width: 95%;
    margin: 0 auto;
}

h3 {
    font-size: 34px;
    font-weight: 600;
    color: var(--pink);
}

h4 {
    font-size: 20px;
    font-weight: 600;
    color: white;
}

.top-banner-image__client {
    width: 100vw;
}

.top-banner-image__wrapper {
    position: relative;
    overflow: hidden;
}

.top-banner-image__wrapper img:first-child {
    margin-top: 25px;
}

.top-banner-image__wrapper img:nth-child(2) {
    position: absolute;
    top: 0;
    left: 0;
}

.top-banner__client {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-top: 118.7px;
    /*border-top: 2px solid black;*/
}

.top-banner__client .client-logo {
    /*width: 642px;*/
}

.top-banner__client .client-desc {
    /*width: 670px;*/
    margin-top: 80px;
}

.client-logo img {
    max-height: 78px;
}

.client-logo-desc {
    margin-top: 57px;
    font-size: 16px;
}
.client-desc p:nth-of-type(2){
    height: 100px;
}
.client-desc p {
    margin-top: 42px;
    font-size: 16px;
    font-weight: 300;
    line-height: 20px;
}

.features-section {
    display: flex;
    flex-direction: column;
    margin-top: 50px;
}

.feature {
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.feature-order {
    color: var(--pink);
    border: solid 3px var(--pink);
    width: 76px;
    height: 40px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    font-weight: 600;
    border-radius: 0 0 15px 0;
}

.feature-header {
    margin-top: 30px;
}
.top-banner-image__gradient{
    width: 100vw;
}

.features-gradient {
    display: none;
}

.feature-desc {
    margin-top: -15px;
    font-size: 16px;
    font-weight: 300;
}

.features-section p {
    font-weight: 300;
}

.desc-section {
    background-image: url("../../../../uploads/2022/08/desc-section-gradient-mobile.png");
    background-repeat: no-repeat;
    max-height: 1550px;
    padding-top: 100px;
    padding-bottom: 99px;
    margin-top: 211.5px;
    text-align: center;
}

.first-desc {

}

.first-desc-p {
    margin-top: 30px;
    color: white;
    line-height: 25px;
}

.desc-section h3, .desc-section h4, .desc-section p {
    color: white;
}


.desc-section p {
    line-height: 25px;
    max-width: 90vw;
}

.third-desc {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 40px;
}

.third-desc-text {
    margin-top: 30px;
}

.third-desc-p {
    margin-top: 30px;
}

.third-desc img {
    max-width: 300px;
}

.second-desc {
    margin-top: 40px;
}

.second-desc-p {
    margin-top: 30px;
    color: white;
    line-height: 25px;
}

.goals-section {
    margin-top: 185px;
    position: relative;
}

.goals-section .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.goals-grid {
    display: grid;
    grid-template-columns: auto;
    column-gap: 220px;
    row-gap: 90px;
    margin-top: 106px;
}

.goals-bg {
    display: none;
}

.goal {
    display: flex;
    justify-content: space-between;
    width: 80vw;
}

.goal p {
    font-weight: 300;
}

.goal p:first-child {
    font-weight: initial;
    color: var(--pink)
}

.goal-text {
    width: 70vw;
    margin-top: -5px;
}

.goal-description {
    margin-top: 27px;
    line-height: 20px;
    font-weight: 300 !important;
}

.goal-decoration {
    position: relative;
    border: 1px solid var(--pink);
    height: 36px;
    width: 0;
}

.goal-decoration img {
    position: absolute;
    margin-left: -7px;
    top: calc(50% - 8px);
}

.portfolio-h2 {
    font-size: 34px;
    color: var(--pink);
    font-weight: 600;
    text-align: center;
}

.responsive-desc__text h2 {
    margin: 30px 0;
}

.about-project__images {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about-project-section {
    margin-top: 130px;
}

.responsive-desc__text p {
    line-height: 25px;
    text-align: justify;
    font-weight: 300;
}

.single-mobile-screen {
    text-align: center;
    border: 1px solid var(--pink);
    width: 214px;
    margin: 20px auto;
    border-radius: 10px;
    padding: 13px 15px;
}

.responsive-desc__image {
    margin: 0 auto 150px auto;
}

.slide {
    width: 100vw;
}

.section-heading {
    border-bottom: 1px solid var(--pink);
    max-width: 350px;
    margin: 90px auto;
}

.design-section {
    position: relative;
    margin-top: 100px;
    overflow: hidden;
}

.animation-section__bg {
    display: none;
}

.design-section__bg {
    z-index: -1;
    position: absolute;
    top: -335px;
    right: 0;
    width: 130%;
    display: none;
}

.design-section__bg img {
    width: 2650px;
}

.slide img {
    width: 100%;
}

.slider-section {
    margin-top: 150px;
}

.slider-section .slick-dots {
    top: 0;
    right: 0;
}

.slider-section .slick-dots {
    display: flex;
    justify-content: space-between;
    margin: 90px auto 0 auto;
    position: initial;
}

.slider-section .slick-dots li button:before {
    font-size: 0px;
}

.slider-section .slick-dots .slick-active {
    transform: scale(1.3);
}

.slider-section .slick-dots li button {
    font-size: 0;
    border-radius: 100%;
    width: 15px;
    height: 15px;
    border: 1px solid var(--pink);
    background-color: transparent;
}

.slider-section .slick-active button {
    background-image: radial-gradient(circle, var(--pink) 40%, rgba(255, 255, 255, 1) 0%);
}

.section-heading p {
    text-align: center;
    color: var(--pink);
}

.image__big, .image__small {
    border: 1px solid var(--pink);
    border-radius: 10px;
    padding: 10px;
    margin: 0 auto;
}

.image__big img, .image__small img {
    width: 100%;
}

.image__small {
    margin-top: 30px;
}

.consultation-section__text h2 {
    color: var(--dark-gray);
    font-size: 40px;
    line-height: 60px;
    margin: 100px 0 30px 0;
    font-weight: 600;
}

.consultation-section__btn {
    border-top: 2px solid var(--red);
    position: relative;
}

.consultation-section__btn a {
    background-color: var(--red);
    color: white;
    text-decoration: none;
    border-radius: 0 0 10px 0;
    padding: 9px 20px;
    position: absolute;
    top: -2px;
    right: 0;
}

.consultation-section__image img {
    width: 100%;
    margin-top: 100px;
}

.project__logo {
    width: 90%;
    height: 450px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
}

.project__image {
    width: 90%;
    height: 450px;
}

.project__image img {
    width: 100%;
}

.about-project-section .portfolio-h2 {
    margin-bottom: 150px;
}

.responsive-desc-section {
    margin-top: 150px;
}

.laptop {
    position: relative;
}

.laptop__border {
    width: 100%;
    height: 100%;
}

.laptop__content {
    position: absolute;
    z-index: -1;
    height: 88%;
    width: 78%;
    left: 11%;
}

.custom-home-jak-mozemy-ci-pomoc {
    margin-top: 200px;
}

.consultation-section {
    margin: 0 auto 180px auto;
}

.item-implementation {
    width: 100%;
    height: 233px;
    max-width: 280px !important;
    justify-self: center !important;
}

.consultation-btn {
    transition: background-color .3s ease;
}

.consultation-btn:hover {
    background-color: var(--btn-background--hover);
    color: var(--btn-color--hover);
}


@media all and (orientation: landscape) {
    .item-custom-excerpt {
        display: initial !important;
    }
}

@media screen and (min-width: 576px) {
    .container {
        width: 500px;
    }

    .consultation-section__text h2 {
        width: 345px;
        text-align: center;
        margin: 100px auto 30px auto;
        
    }

    .consultation-section__btn {
        width: 345px;
        text-align: center;
        margin: 0 auto;
    }

    .consultation-section__image {
        text-align: center;
    }

    .consultation-section__image img {
        width: 370px;
    }

    .image__big, .image__small {
        width: 425px;
    }

    .desc-section {
        height: 1250px;
    }

    .goal {
        display: flex;
        justify-content: space-between;
        width: 500px;
    }

    .goal p {
        font-weight: 300;
    }

    .goal p:first-child {
        font-weight: initial;
        color: var(--pink)
    }

    .goal-text {
        width: 450px;
        margin-top: -5px;
    }
}

@media screen and (min-width: 768px) {
    .container {
        width: 500px;
    }

    .features-gradient {
        position: absolute;
        z-index: -100;
        left: 0;
        top: 900px;
        display: initial;
    }
}

@media screen and (min-width: 992px) {
    .container {
        width: 950px;
    }

    h3 {
        font-size: 34px;
        font-weight: 600;
        color: var(--pink);
    }

    .top-banner-image img {
        max-width: 100vw;
    }

    .top-banner-image__wrapper {
        position: relative;
        overflow: hidden;
    }

    .top-banner-image__wrapper img:first-child {
        margin-top: 25px;
    }

    .top-banner-image__wrapper img:nth-child(2) {
        position: absolute;
        top: 0;
        left: -1px;
    }

    .top-banner__client {
        flex-direction: row;
        margin-top: 60px;
        text-align: initial;
    }

    .top-banner__client .client-logo {
        width: 642px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }

    .top-banner__client .client-desc {
        width: 670px;
        margin-top: initial;
    }

    .client-logo img {
        max-height: 78px;
    }

    .client-logo-desc {
        margin-top: 57px;
        font-size: 16px;
    }

    .client-desc p {
        margin-top: 42px;
        font-size: 16px;
        font-weight: 300;
        line-height: 20px;
    }

    .desc-section {
        /*padding-top: 160px;*/
        background-image: url("../../../../uploads/2022/08/desc-section-gradient.png");
        background-size: cover;
    }

    .desc-section .container {
        margin-top: 100px;
    }

    .consultation-section__container {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }

    .consultation-section__text h2 {
        text-align: left;
    }

    .design-section__image-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .about-project-section {
        position: relative;
    }

    .design-section__bg {
        display: initial;
    }

    .slide {
        margin: 0 150px;
        width: 700px;
    }

    .responsive-desc__text {
        width: 500px;
        margin: 0 auto;
    }

    .responsive-desc__image {
        display: flex;
        justify-content: space-between;
        width: 80%;
    }

    .about-project__images {
        flex-direction: row;
        justify-content: center;
    }

    .project__image, .project__logo {
        width: 400px;
        height: 400px;
    }

    .portfolio-h2 {
        text-align: left;
    }

    .item-implementation {
        width: 100%;
        height: 233px;
        max-width: 230px !important;
    }

    .item-implementation:nth-of-type(2n + 1) {
        margin-top: -170px !important;
        margin-bottom: 170px !important;
    }

    .item-implementation:nth-of-type(2n) {
        margin-top: -120px !important;
        margin-bottom: -120px !important;
    }

    .custom-home-jak-mozemy-ci-pomoc::after {
        bottom: -4px !important;
    }
    .custom-home-jak-mozemy-ci-pomoc{
        padding-bottom: 40px;
    }

}

@media screen and (min-width: 1450px) {
    .container {
        width: 1366px;
    }

    .features-section {
        flex-direction: row;
        margin-top: 55px;
        justify-content: space-between;
        padding-bottom: 0 !important;
    }

    .feature {
        align-items: flex-start;
        justify-content: flex-start;
        text-align: initial;
        width: 346px;
    }

    .desc-section {
        background-image: url("../../../../uploads/2022/08/desc-section-gradient.png");
        background-repeat: no-repeat;
        background-position: center;
        height: 1165px;
        padding-top: 85px;
        margin-top: 211.5px;
        text-align: left;
    }

    .goals-section .container {
        justify-content: flex-start;
        align-items: flex-start;
    }

    .first-desc {
        margin-left: 125.5px;
    }

    .first-desc-p {
        margin-top: 41.4px;
        width: 1021px;
        height: 50px;
        line-height: 25px;
    }


    .desc-section h3, .desc-section h4, .desc-section p {
        color: white;
    }

    .desc-section p {
        line-height: 25px;
    }


    .desc-section h3, .desc-section h4, .desc-section .first-desc, .desc-section .second-desc, .desc-section .second-desc-p, .desc-section .third-desc-text, .first-desc-line-short, .second-desc-line-right-y, .second-desc-line-bottom, .second-desc-line-last {
        position: relative;
    }

    .desc-section h3::before, .desc-section h4::before {
        content: "";
        display: block;
        position: absolute;
        top: 13px;
        left: -55px;
        width: 15px;
        height: 15px;
        border: 2px solid white;
        border-radius: 15px;
        background: #66083F;
        box-sizing: border-box;
        z-index: 1;
    }

    .desc-section h4::before {
        background-color: white;
        top: 4px;
        left: -5px;
    }

    .desc-section .last-desc_header::before {
        background-color: white;
        top: 3px;
        left: -67px;
    }
    /*LINE-ANIMATIONS*/
    .desc-section .first-desc::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 375px;
        left: -48.5px;
        top: -145px;
        opacity: 0.3;
    }
    .desc-section .first-desc::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 375px;
        left: -48.5px;
        top: -145px;
        transform: scaleY(0);
        transition: transform .6s ease;
        transform-origin: top;
    }
    .desc-section .first-desc.visible::after{
        transform: scaleY(1);
    }

    .desc-section .first-desc-line-short::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 90px;
        height: 2px;
        left: -47px;
        top: 228px;
        opacity: 0.3;
    }
    .desc-section .first-desc-line-short::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 90px;
        height: 2px;
        left: -47px;
        top: 228px;
        transform: scaleX(0);
        transform-origin: left;
    }
    .desc-section .first-desc.visible .first-desc-line-short::after{
        transform: scaleX(1);
        transition: transform 0.6s ease;
        transition-delay: .4s;
    }

    .desc-section .second-desc-line-long::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 665px;
        height: 2px;
        left: 480px;
        top: 11px;
        opacity: 0.3;
    }
    .desc-section .second-desc-line-long::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 665px;
        height: 2px;
        left: 480px;
        top: 11px;
        transform: scaleX(0);
        transform-origin: left;
    }
    .desc-section .second-desc.visible .second-desc-line-long::after{
        transform: scaleX(1);
        transition: transform 0.6s ease;
        transition-delay: 0.9s;
    }

    .desc-section .second-desc-line-right-y::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 305px;
        right: 221px;
        top: 12px;
        opacity: 0.3;
    }
    .desc-section .second-desc-line-right-y::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 305px;
        right: 221px;
        top: 12px;
        transform: scaleY(0);
        transform-origin: top;
    }
    .desc-section .second-desc.visible .second-desc-line-right-y::after{
        transform: scaleY(1);
        transition: transform .6s ease;
        transition-delay: 1.4s;
    }

    .desc-section .second-desc-line-bottom::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 554px;
        height: 2px;
        right: 221px;
        bottom: -318px;
        opacity: 0.3;
    }
    .desc-section .second-desc-line-bottom::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 554px;
        height: 2px;
        right: 221px;
        bottom: -318px;
        transform: scaleX(0);
        transform-origin: right;
    }
    .desc-section .second-desc.visible .second-desc-line-bottom::after{
        transform: scaleY(1);
        transition: transform .6s ease;
        transition-delay: 2s;
    }

    .desc-section .second-desc-line-last::before {
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 573px;
        left: 591px;
        top: 316px;
        opacity: 0.3;
    }


    .desc-section .second-desc-line-last::after{
        content: "";
        display: block;
        background: var(--bg-main);
        position: absolute;
        width: 2px;
        height: 573px;
        left: 591px;
        top: 316px;
        transform: scaleY(0);
        transition: transform .6s ease;
        transform-origin: top;
    }
    .desc-section .second-desc.visible .second-desc-line-last::after{
        transform: scaleY(1);
        transition-delay: 2.6s;
    }


    .third-desc img {
        max-width: 45vw;
    }

    .third-desc {
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
    }


    .third-desc p {
        width: 636px;
    }

    .second-desc {
        margin-top: 86.8px;
    }

    .second-desc h4 {

    }

    .third-section_second-heading-wrapper{
        margin-left: 170px;
        width: 310px;
        text-align: center;
        position: relative;
    }

    .second-desc-p {
        margin-left: 200px;
        margin-top: 48px;
        width: 890px;
        height: 157px;
    }

    .goals-grid {
        grid-template-columns: auto auto;
    }

    .goals-bg {
        position: absolute;
        top: -300px;
        width: 1600px;
        z-index: -100;
        display: initial;
        left: -10vw;
    }
    .project__image, .project__logo {
        width: 600px;
        height: 600px;
    }
    .third-desc {
        margin-top: 60px;
    }

    .third-desc-p {
        margin-top: 46.2px;
        height: 157px;
    }
    .desc-section-image-wrapper{
        width: 415.61px;
        height: 373.2px;
    }

    .consultation-section__text h2, .consultation-section__header h2 {
        font-size: 70px;
        line-height: 100px;
        width: 465px;
    }

    .consultation-section__header h2 {
        margin-bottom: 70px;
    }

    .consultation-section__btn {
        width: 465px;
    }

    .consultation-section__image img {
        width: 640px;
    }

    .image__big, .image__small {
        width: 610px;
    }

    .slick-dots {
        margin: 100px auto 300px auto;
    }

    .animation-section__bg {
        display: initial;
    }

    .animation-section__bg img {
        position: absolute;
        left: 400px;
        top: -815px;
        z-index: -2;
        height: 3700px;
        width: 100%;
    }


    .responive-desc-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .responsive-desc__text h2 {
        text-align: left;
    }

    .responsive-desc__text p {
        width: 600px;
    }

    .responsive-desc__image {
        width: 625px;
    }

    .single-mobile-screen {
        transition: transform .3s;
    }

    .single-mobile-screen--left {
        transform: translateY(-150px);
    }

    .single-mobile-screen--right {
        transform: translateY(150px);
    }

    .single-mobile-screen-hover-left {
        transform: translateY(-75px);
    }

    .single-mobile-screen-hover-right {
        transform: translateY(75px);
    }

    .animation-section {
        margin-top: 150px;
    }

    .responsive-desc__text {
        margin: 0;
    }

    .responsive-desc-section {
        margin-top: 300px;
    }

    .laptop {
        left: calc(50% - 575px);
    }

    .laptop__border {
        width: 1150px;
        height: 100%;
        margin: 0 auto;
    }

    .laptop__content {
        width: 66%;
        left: 9%;
    }


    .item-implementation {
        width: 350px;
        height: 400px;
        box-sizing: border-box;
    }

    .custom-home-jak-mozemy-ci-pomoc::after {
        padding-bottom: 110px;
        bottom: -20px;
        box-shadow: inset 0 -120px 0 0 white;
    }

    .item-implementation {
        width: 350px;
        height: 400px;
        max-width: initial !important;
    }

    .item-implementation:nth-of-type(2n + 1) {
        margin-top: -220px !important;
        margin-bottom: 220px !important;
    }

    .item-implementation:nth-of-type(2n) {
        margin-top: -170px !important;
        margin-bottom: -170px !important;
    }

}


section:last-of-type {
    padding-bottom: 75px;
}

.item-custom-excerpt ul {
    list-style: none;
}

.item-custom-excerpt ul li::before {
    content: "\2022";
    color: #A70E45;
    font-weight: bold;
    display: inline-block;
    width: 15px;
    margin-left: -40px;
    font-size: 25px;
}

@media screen and (min-width: 2000px) {
    .desc-section {
        background-size: cover;
        background-position: initial;
        height: 1100px;
        padding-top: 120px;
    }

    .goals-bg {
        left: -8vw;
    }

    .animation-section__bg img {
        width: 90%;
    }

}

@media screen and (min-width: 2400px) {

    .goals-bg {
        left: -6vw;
    }

}


